Index: projectionDesigner/trunk/projdesigner/projdesigner.vcproj
===================================================================
--- projectionDesigner/trunk/projdesigner/projdesigner.vcproj	(revision 4)
+++ projectionDesigner/trunk/projdesigner/projdesigner.vcproj	(revision 48)
@@ -1713,4 +2845,26 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qdesignviewwindow.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qdesignviewwindow.ui -o ui_qdesignviewwindow.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qdesignviewwindow.ui"
+						Outputs="ui_qdesignviewwindow.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qdesignviewwindow.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qdesignviewwindow.ui -o ui_qdesignviewwindow.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qdesignviewwindow.ui"
+						Outputs="ui_qdesignviewwindow.h"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -1739,4 +2893,26 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qpanelwidget.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qpanelwidget.ui -o ui_qpanelwidget.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qpanelwidget.ui"
+						Outputs="ui_qpanelwidget.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qpanelwidget.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qpanelwidget.ui -o ui_qpanelwidget.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qpanelwidget.ui"
+						Outputs="ui_qpanelwidget.h"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -1765,4 +2941,26 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qpreferencedialog.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qpreferencedialog.ui -o ui_qpreferencedialog.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qpreferencedialog.ui"
+						Outputs="ui_qpreferencedialog.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qpreferencedialog.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qpreferencedialog.ui -o ui_qpreferencedialog.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qpreferencedialog.ui"
+						Outputs="ui_qpreferencedialog.h"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -1791,4 +2989,26 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qprojectionmatrixwidget.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qprojectionmatrixwidget.ui -o ui_qprojectionmatrixwidget.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qprojectionmatrixwidget.ui"
+						Outputs="ui_qprojectionmatrixwidget.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qprojectionmatrixwidget.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qprojectionmatrixwidget.ui -o ui_qprojectionmatrixwidget.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qprojectionmatrixwidget.ui"
+						Outputs="ui_qprojectionmatrixwidget.h"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -1817,4 +3037,26 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qscenewidget.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qscenewidget.ui -o ui_qscenewidget.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qscenewidget.ui"
+						Outputs="ui_qscenewidget.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qscenewidget.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qscenewidget.ui -o ui_qscenewidget.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qscenewidget.ui"
+						Outputs="ui_qscenewidget.h"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -1843,4 +3085,26 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qscreenwidget.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qscreenwidget.ui -o ui_qscreenwidget.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qscreenwidget.ui"
+						Outputs="ui_qscreenwidget.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qscreenwidget.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qscreenwidget.ui -o ui_qscreenwidget.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qscreenwidget.ui"
+						Outputs="ui_qscreenwidget.h"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -1869,4 +3133,26 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qsetupdialog.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qsetupdialog.ui -o ui_qsetupdialog.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qsetupdialog.ui"
+						Outputs="ui_qsetupdialog.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qsetupdialog.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qsetupdialog.ui -o ui_qsetupdialog.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qsetupdialog.ui"
+						Outputs="ui_qsetupdialog.h"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -1886,4 +3172,26 @@
 				<FileConfiguration
 					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qtransformmatrixwidget.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qtransformmatrixwidget.ui -o ui_qtransformmatrixwidget.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qtransformmatrixwidget.ui"
+						Outputs="ui_qtransformmatrixwidget.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="UIC include\gui\qtransformmatrixwidget.ui"
+						CommandLine="$(QTDIR)\bin\uic.exe include\gui\qtransformmatrixwidget.ui -o ui_qtransformmatrixwidget.h&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe;include\gui\qtransformmatrixwidget.ui"
+						Outputs="ui_qtransformmatrixwidget.h"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
 					>
 					<Tool
@@ -1922,4 +3230,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -1942,4 +3266,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -1962,4 +3302,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -1982,4 +3338,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -2002,4 +3374,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -2022,4 +3410,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -2042,4 +3446,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -2062,4 +3482,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -2082,4 +3518,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -2102,4 +3554,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -2116,4 +3584,20 @@
 				<FileConfiguration
 					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
 					ExcludedFromBuild="true"
 					>
@@ -2148,4 +3632,26 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Rcc&apos;ing projdesigner.qrc..."
+						CommandLine="&quot;$(QTDIR)\bin\rcc.exe&quot; -name &quot;projdesigner&quot; -no-compress &quot;.\projdesigner.qrc&quot; -o .\GeneratedFiles\qrc_projdesigner.cpp&#x0D;&#x0A;"
+						AdditionalDependencies=".\projdesigner.qrc;.\Resources\aboutQt.png;.\Resources\blendMode.png;.\Resources\distortionMode.png;.\Resources\exit.png;.\Resources\exitAll.png;.\Resources\export.png;.\Resources\help.png;.\Resources\new.png;.\Resources\open.png;.\Resources\plugins.png;.\Resources\projDesigner.png;.\Resources\save.png;.\Resources\saveAs.png;.\Resources\settings.png;.\Resources\sync.png"
+						Outputs=".\GeneratedFiles\qrc_projdesigner.cpp"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Rcc&apos;ing projdesigner.qrc..."
+						CommandLine="&quot;$(QTDIR)\bin\rcc.exe&quot; -name &quot;projdesigner&quot; -no-compress &quot;.\projdesigner.qrc&quot; -o .\GeneratedFiles\qrc_projdesigner.cpp&#x0D;&#x0A;"
+						AdditionalDependencies=".\projdesigner.qrc;.\Resources\aboutQt.png;.\Resources\blendMode.png;.\Resources\distortionMode.png;.\Resources\exit.png;.\Resources\exitAll.png;.\Resources\export.png;.\Resources\help.png;.\Resources\new.png;.\Resources\open.png;.\Resources\plugins.png;.\Resources\projDesigner.png;.\Resources\save.png;.\Resources\saveAs.png;.\Resources\settings.png;.\Resources\sync.png"
+						Outputs=".\GeneratedFiles\qrc_projdesigner.cpp"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -2168,4 +3674,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -2188,4 +3710,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -2208,4 +3746,20 @@
 					/>
 				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -2222,4 +3776,20 @@
 				<FileConfiguration
 					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|x64"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|x64"
 					ExcludedFromBuild="true"
 					>
@@ -2236,4 +3806,12 @@
 			Value="4.5.1"
 		/>
+		<Global
+			Name="QtVersion Win32"
+			Value="$(DefaultQtVersion)"
+		/>
+		<Global
+			Name="QtVersion x64"
+			Value="4.6.2_x64"
+		/>
 	</Globals>
 </VisualStudioProject>
